Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.query.parser
Class QTStartsWith

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTOperator
                  org.ascape.query.parser.QTStringOperatorNode
                      org.ascape.query.parser.QTStartsWith

All Implemented Interfaces:
  Node, Validated

    public class QTStartsWith

extends QTStringOperatorNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTStartsWith(BoolExprTree p, int id)`
`QTStartsWith(int id)`

Method Summary
`boolean` | `evaluate(QTValue compared, java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class org.ascape.query.parser.QTStringOperatorNode
`validate`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTStartsWith

    public QTStartsWith(int id)

### QTStartsWith

    public QTStartsWith(BoolExprTree p,
                        int id)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### evaluate

    public boolean evaluate(QTValue compared,
                            java.lang.Object value)

  Specified by:
    `evaluate` in class `QTOperator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD